<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.min.css">
    <link rel="stylesheet" href="css/simple-sidebar.css">
    <link rel="stylesheet" href="css/styles.css">
    <title>Marca Solr & Nutch</title>
</head>

<body>
    <header class="jumbotron jumbotron-fluid text-center bg-dark">
        <h1 class="display-3 text-light">
            Crawler de
            <a href="http://marca.com" class="text-light">marca.com</a>
        </h1>
        <hr class="my-3" />
        <p class="lead text-info">Filtar, ordenar y buscar noticias</p>
        <p class="text-muted">Powered by Solr & Nutch</p>
    </header>
    <article class="d-flex" id="wrapper contenido">
        <section class="bg-light border-right col-2">
            <header class="sidebar-heading" style="text-align: center;"><strong>Condiciones de busqueda</strong>
            </header>
            <nav class="list-group list-group-flush">
                <form id="searchForm">
                    <p>
                        <button class="btn btn-primary btn-block" type="button" data-toggle="collapse"
                            data-target="#titulo" aria-expanded="false" aria-controls="titulo">
                            Titulo
                        </button>
                        <div class="collapse" id="titulo">
                            <p>Alguna parte del título de la noticias coincide con el criterio de búsqueda.</p>
                            <input type="text" name="title" id="title" class="form-control">
                        </div>
                    </p>
                    <p>
                        <button class="btn btn-primary btn-block" type="button" data-toggle="collapse"
                            data-target="#fecha" aria-expanded="false" aria-controls="fecha">
                            Fecha
                        </button>

                        <div class="collapse" id="fecha">
                            <input type="date" name="date" id="date" class="form-control">
                        </div>
                    </p>
                    <p>
                        <button class="btn btn-primary btn-block" type="button" data-toggle="collapse"
                            data-target="#edicion" aria-expanded="false" aria-controls="edicion">
                            Edición
                        </button>
                        <div class="collapse" id="edicion">
                            <select class="form-control" id="edition">
                                <option></option>
                                <option value="es">España</option>
                                <option value="mx">México</option>
                                <option value="us">EUA</option>
                                <option value="co">Colombia</option>
                                <option value="ar">Argentina</option>
                            </select>
                        </p>
                            <div class="btn-group" data-toggle="buttons" style="display: none;" id="languages">
                                <p class="text-bold">Idiomas:</p>
                                <label class="btn btn-light">
                                    <input type="radio" name="idiomas" id="spa" autocomplete="off" value="es" checked>
                                    Español
                                </label>
                                <label class="btn btn-light">
                                    <input type="radio" name="idiomas" id="eng" autocomplete="off" value="en">
                                    Inglés
                                </label>
                            </div>
                        </div>
                    </p>
                    <p>
                        <button class="btn btn-primary btn-block" type="button" data-toggle="collapse"
                            data-target="#palabras" aria-expanded="false" aria-controls="palabras">
                            Palabras clave
                        </button>

                        <div class="collapse" id="palabras">
                            <p>Las palabras clave deberán aparecer separadas por comas (,)</p>
                            <input type="text" name="keywords" id="keywords" class="form-control">
                        </div>
                    </p>
                    <p>
                        <button class="btn btn-primary btn-block" type="button" data-toggle="collapse"
                            data-target="#orden" aria-expanded="false" aria-controls="orden">
                            Orden de las noticias
                        </button>

                        <div class="collapse" id="orden">
                            <div class="radio">
                                <label><input type="radio" name="order" value="desc" checked>Mostras primero las más
                                    recientes</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="order" value="asc">Mostras primero las más
                                    antiguas</label>
                            </div>
                        </div>
                    </p>
                    <p>
                        <button class="btn btn-primary btn-block" type="button" data-toggle="collapse"
                            data-target="#cantidad" aria-expanded="false" aria-controls="cantidad">
                            Número de resultados
                        </button>

                        <div class="collapse" id="cantidad">
                            <input type="number" name="rows" id="rows" value="10" required min="10"
                                class="form-control">
                        </div>
                    </p>
                    <p>
                        <button class="btn btn-success btn-block" onclick="search()" type="button">
                            Buscar
                        </button>
                    </p>
                </form>
            </nav>
        </section>

        <article id="noticias" class="col-10">

        </article>
    </article>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.15.0/umd/popper.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script src="scripts/scripts.js"></script>
    <script>
        $(document).ready(function() {
            $("#edition").change(function(){
            $("#languages").css("display", "none");
            if($("#edition").val() === "es") {
                $("#languages").css("display", "inline-block");
            }
            });
        });
    </script>
</body>

</html>
